CC = gcc
CFLAGS = -g -Wall
OUTPUT = sircd
OBJFILES = irc_proto.o debug.o rtlib.o sircd.o

$(OUTPUT): $(OBJFILES)
	$(CC) $(CFLAGS) $(OBJFILES) -o sircd
	
rtlib.o: rtlib.c
	$(CC) $(CFLAGS) -c rtlib.c -o rtlib.o
	
irc_proto.o: irc_proto.c
	$(CC) $(CFLAGS) -c irc_proto.c -o irc_proto.o

debug.o: debug.c
	$(CC) $(CFLAGS) -c debug.c -o debug.o

sircd.o: sircd.c
	$(CC) $(CFLAGS) -c sircd.c -o sircd.o
	
clean:
	rm *.o $(OUTPUT)

